<?php

namespace Hugh\AdminPermissionOptimize\ServiceProvider;

use Encore\Admin\Middleware;
use Hugh\AdminPermissionOptimize\Middleware\Permission;

class AdminServiceProvider extends \Encore\Admin\AdminServiceProvider
{
    /**
     * The application's route middleware.
     *
     * @var array
     */
    protected $routeMiddleware = [
        'admin.auth'       => Middleware\Authenticate::class,
        'admin.pjax'       => Middleware\Pjax::class,
        'admin.log'        => Middleware\LogOperation::class,
        'admin.permission' => Permission::class,
        'admin.bootstrap'  => Middleware\Bootstrap::class,
        'admin.session'    => Middleware\Session::class,
    ];
}