<?php

namespace Hugh\AdminPermissionOptimize\ServiceProvider;

use Hugh\AdminPermissionOptimize\EloquentUserProvider;
use Illuminate\Support\Facades\Auth;

class AuthServiceProvider extends \Illuminate\Foundation\Support\Providers\AuthServiceProvider {

    /**
     * @var bool
     */
    protected $defer = false;


    /**
     * @return void
     */
    public function register()
    {
        Auth::provider('eloquent-with', function ($app, array $config){
            return new EloquentUserProvider($this->app['hash'], $config['model']);
        });
    }

}
